#!/bin/sh
#
#	dnsutl - utilities to make DNS easier to configure
#	Copyright (C) 1991, 1992, 1993, 1995 Peter Miller;
#	All rights reserved.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU General Public License as published by
#	the Free Software Foundation; either version 2 of the License, or
#	(at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# MANIFEST: shell script to generate Makefile
#
ALL="bin/dns-hosts bin/dns-ng bin/dns-rev"
txt2c_files="common/ansi.o common/arglex.o common/error.o common/mem.o"
common_files=
test_files=
clean_files="core y.tab.c y.tab.h bin/txt2c"
man_files=
dns_hosts_files=
dns_ng_files=
dns_rev_files=
for file in $*
do
	case $file in

	*/*.y)
		dir=`echo $file | sed 's|/.*||' | sed 's/-/_/g'`
		stem=`echo $file | sed 's/\.y$//'`
		clean_files="$clean_files ${stem}.gen.c ${stem}.gen.h \
${stem}.gen.o"
		eval "${dir}_files=\"\$${dir}_files ${stem}.gen.o\""
		;;

	*/*.c)
		dir=`echo $file | sed 's|/.*||' | sed 's/-/_/g'`
		stem=`echo $file | sed 's/\.c$//'`
		eval "${dir}_files=\"\$${dir}_files ${stem}.o\""
		clean_files="$clean_files ${stem}.o"
		;;

	test/*/*)
		root=`basename $file .sh`
		test_files="$test_files ${root}"
		;;

	man1/*.1)
		root=`basename $file .1`
		man_files="$man_files $(mandir)/man1/$root.1"
		clean_files="$clean_files man1/${root}.h"
		;;

	man1/*.so)
		root=`basename $file .so`
		clean_files="$clean_files man1/${root}.h"
		;;

	*)
		;;
	esac
done

echo ""
echo "CommonObj =" $common_files

echo ""
echo "common/lib.a: $(CommonObj)"
echo "	rm -f common/lib.a"
echo "	$(AR) qc common/lib.a $(CommonObj)"
echo "	$(RANLIB) common/lib.a"

echo ""
echo ".bin:"
echo "	-mkdir bin"
echo "	@touch .bin"

ALLinst=
for name in $ALL
do
	prog=`basename $name`
	prog2=`echo $prog | sed 's/-/_/g'`

	echo ""
	eval "echo ${prog2}_files = \$${prog2}_files"


	echo ""
	echo "${name}: \$(${prog2}_files) common/lib.a .bin"
	echo "	\$(CC) $(LDFLAGS) -o $name \$(${prog2}_files) common/lib.a \$(LIBS)"

	echo
	echo "\$(bindir)/${prog}: $name"
	echo "	\$(INSTALL_PROGRAM) $name \$(bindir)/$prog"

	ALLinst="$ALLinst \$(bindir)/$prog"
done

echo ""
echo "Txt2cObj =" $txt2c_files

echo ""
echo "bin/txt2c: $(Txt2cObj) .bin"
echo "	@sleep 1"
echo "	$(CC) $(LDFLAGS) -o bin/txt2c $(Txt2cObj) $(LIBS)"
echo "	@sleep 1"

echo ""
echo "sure:" $test_files
echo "	@echo Passed All Tests"

echo ""
echo "clean-obj:"
echo "	rm -f" $clean_files

echo ""
echo "clean: clean-obj"
echo "	rm -f" $ALL

echo ""
echo "distclean: clean"
echo "	rm -f Makefile common/config.h config.status"

echo ""
echo "install-bin:" $ALLinst

echo ""
echo "install-man:" $man_files

echo ""
echo "install: install-bin install-man"

exit 0
