'\" t
.\"	dnsutl - utilities to make DNS easier to configure
.\"	Copyright (C) 1992, 1993, 1995 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.\"
.ds n) dnsutl
.so version.so
.TH readme \*(n)
.if n .ad l
.if n .hy 0
.SH NAME
\*(n) \- utilities to make DNS easier to configure
.br
.if t .ds C) \(co
.if n .ds C) (C)
Copyright \*(C) \*(Y) Peter Miller;
All rights reserved.
.PP
The
.I \*(n)
package is distributed under the GNU General Public License,
see the LICENSE section, below, for more information.
.SH DESCRIPTION
The
.I \*(n)
package is a bunch of programs I wrote to make using DNS easier.
These include:
.TP 8n
.B dns-rev
.br
Take the forward DNS mapping and generate the reverse mapping.
.TP 8n
.B dns-hosts
.br
Take the forward DNS mapping and generate the
.I /etc/hosts
file.
.TP 8n
.B dns-ng
.br
Take the forward DNS mapping and generate the
.I /etc/netgroup
file.
.PP
All of these programs are both faster than shell scripts,
and more robust when faced with all the peculiar semantics
of DNS resource files.
.br
.be 1i
.SH NEW IN THIS RELEASE
A number of features have been added to
.I dnsutl
with this release.
A few of them are detailed here:
.so new.so
.PP
Plus the usual crop of bug fixes and tinkering.
For excruciating detail,
and also acknowlegements of those who generously sent me feedback,
please see the
.I aux/CHANGES.\*(v)
file included in this distribution.
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of
.I dnsutl
is available by anonymous ftp from:
.RS 4m
.TS
tab(;);
l l s
l l l.
Host:;ftp.agso.gov.au
Dir:;/pub/Aegis
File:;README;# what is in this directory
File:;dnsutl.\*(v).tar.gz;# the complete source
File:;dnsutl.\*(v).patch.gz;# patch to take \*(w) to \*(v)
.TE
.RE
.PP
To use anonymous ftp,
give "anonymous" as the user name (omit the quotes)
and your email address as the password.
.PP
This directory also contains a few other pieces of software written by me.
Please have a look if you are interested.
.PP
For those of you without ftp,
I recommend the use of an ftp-by-email server.
Here is a list of a few (there are many more):
.RS
.nf
ftpmail@decwrl.dec.com
ftpmail@cs.uow.edu.au
.fi
.RE
.PP
In general, you can get a help message about how to use each system
by sending email with a subject of "help"
and a message body containing just the word "help".
.br
.ne 1i
.SH BUILDING
Complete instructions for configuring, building, testing and installing
.I dnsutl
may be found in the 
.I BUILDING
file included in this distribution.
.br
.ne 1i
.SH LICENSE
This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
.PP
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
.PP
It should be in the file called
.I LICENSE
included in this distribution.
.so ../man1/author.so
